import 'package:freezed_annotation/freezed_annotation.dart';

part 'equipment_status_distribution.freezed.dart';
part 'equipment_status_distribution.g.dart';

@freezed
class EquipmentStatusDistribution with _$EquipmentStatusDistribution {
  const factory EquipmentStatusDistribution({
    required int available,
    @JsonKey(name: 'in_use') required int inUse,
    required int maintenance,
    required int disposed,
  }) = _EquipmentStatusDistribution;

  factory EquipmentStatusDistribution.fromJson(Map<String, dynamic> json) =>
      _$EquipmentStatusDistributionFromJson(json);
}